--- old/usr/src/man/man7i/termio.7i	Wed Sep 25 13:05:54 2019
+++ new/usr/src/man/man7i/termio.7i	Wed Sep 25 13:05:54 2019
@@ -1329,1093 +1183,997 @@
 .ad
 .RS 13n
 6 bits
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS7\fR\fR
-.ad
-.RS 13n
+.It Dv CS7
 7 bits
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS8\fR\fR
-.ad
-.RS 13n
+.It Dv CS8
 8 bits
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCSTOPB\fR\fR
-.ad
-.RS 13n
+.It Dv CSTOPB
 Send two stop bits, else one
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCREAD\fR\fR
-.ad
-.RS 13n
+.It Dv CREAD
 Enable receiver
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPARENB\fR\fR
-.ad
-.RS 13n
+.It Dv PARENB
 Parity enable
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPARODD\fR\fR
-.ad
-.RS 13n
+.It Dv PARODD
 Odd parity, else even
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBHUPCL\fR\fR
-.ad
-.RS 13n
+.It Dv HUPCL
 Hang up on last close
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCLOCAL\fR\fR
-.ad
-.RS 13n
+.It Dv CLOCAL
 Local line, else dial-up
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCIBAUD\fR\fR
-.ad
-.RS 13n
+.It Dv CIBAUD
 Input baud rate, if different from output rate
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPAREXT\fR\fR
-.ad
-.RS 13n
+.It Dv PAREXT
 Extended parity for mark and space parity
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCRTSXOFF\fR\fR
-.ad
-.RS 13n
+.It Dv CRTSXOFF
 Enable inbound hardware flow control
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCRTSCTS\fR\fR
-.ad
-.RS 13n
+.It Dv CRTSCTS
 Enable outbound hardware flow control
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCBAUDEXT\fR\fR
-.ad
-.RS 13n
+.It Dv CBAUDEXT
 Bit to indicate output speed > B38400
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCIBAUDEXT\fR\fR
-.ad
-.RS 13n
+.It Dv CIBAUDEXT
 Bit to indicate input speed > B38400
-.RE
-
-.sp
-.LP
-The \fBCBAUD\fR bits together with the \fBCBAUDEXT\fR bit specify the output
-baud rate. To retrieve the output speed from the \fBtermios\fR structure
-pointed to by \fBtermios_p\fR see the following code segment.
-.sp
-.in +2
-.nf
+.El
+.El
+.Pp
+The
+.Dv CBAUD
+bits together with the
+.Dv CBAUDEXT
+bit specify the output baud rate.
+To retrieve the output speed from the
+.Vt termios
+structure pointed to by
+.Fa termios_p
+see the following code segment.
+.Bd -literal -offset 2n
 speed_t ospeed;
 if (termios_p->c_cflag & CBAUDEXT)
-   ospeed = (termios_p->c_cflag & CBAUD) + CBAUD + 1;
+ ospeed = (termios_p->c_cflag & CBAUD) + CBAUD + 1;
 else
-   ospeed = termios_p->c_cflag & CBAUD;
-.fi
-.in -2
-
-.sp
-.LP
+ ospeed = termios_p->c_cflag & CBAUD;
+.Ed
+.Pp
 To store the output speed in the termios structure pointed to by
-\fBtermios_p\fR see the following code segment.
-.sp
-.in +2
-.nf
+.Fa termios_p
+see the following code segment.
+.Bd -literal -offset 2n
 speed_t ospeed;
 if (ospeed > CBAUD) {
-   termios_p->c_cflag |= CBAUDEXT;
-   ospeed -= (CBAUD + 1);
-} else
-   termios_p->c_cflag &= ~CBAUDEXT;
- termios_p->c_cflag =
-	(termios_p->c_cflag & ~CBAUD) | (ospeed & CBAUD);
-.fi
-.in -2
-
-.sp
-.LP
-The zero baud rate, B0, is used to hang up the connection. If B0 is specified,
-the data-terminal-ready signal is not asserted. Normally, this disconnects the
-line.
-.sp
-.LP
-If the \fBCIBAUDEXT\fR or \fBCIBAUD\fR bits are not zero, they specify the
-input baud rate, with the \fBCBAUDEXT\fR and \fBCBAUD\fR bits specifying the
-output baud rate; otherwise, the output and input baud rates are both specified
-by the \fBCBAUDEXT\fR and  \fBCBAUD\fR bits.  The values for the \fBCIBAUD\fR
-bits are the same as the values for the \fBCBAUD\fR bits, shifted left
-\fBIBSHIFT\fR bits. For any particular hardware, impossible speed changes are
-ignored. To retrieve the input speed in the  \fBtermios\fR structure pointed to
-by  \fBtermios_p\fR see the following code segment.
-.sp
-.in +2
-.nf
+ termios_p->c_cflag |= CBAUDEXT;
+ ospeed -= (CBAUD + 1);
+} else {
+ termios_p->c_cflag &= ~CBAUDEXT;
+}
+termios_p->c_cflag =
+  (termios_p->c_cflag & ~CBAUD) | (ospeed & CBAUD);
+.Ed
+.Pp
+The zero baud rate,
+.Dv B0 ,
+is used to hang up the connection.
+If
+.Dv B0
+is specified, the data-terminal-ready signal is not asserted.
+Normally, this disconnects the line.
+.Pp
+If the
+.Dv CIBAUDEXT
+or
+.Dv CIBAUD
+bits are not zero, they specify the input baud rate, with the
+.Dv CBAUDEXT
+and
+.Dv CBAUD
+bits specifying the output baud rate; otherwise, the output and input baud
+rates are both specified by the
+.Dv CBAUDEXT
+and
+.Dv CBAUD
+bits.
+The values for the
+.Dv CIBAUD
+bits are the same as the values for the
+.Dv CBAUD
+bits, shifted left
+.Dv IBSHIFT
+bits.
+For any particular hardware, impossible speed changes are
+ignored.
+To retrieve the input speed in the
+.Vt termios
+structure pointed to
+by
+.Fa termios_p
+see the following code segment.
+.Bd -literal -offset 2n
 speed_t ispeed;
-if (termios_p->c_cflag & CIBAUDEXT)
-   ispeed = ((termios_p->c_cflag & CIBAUD) >> IBSHIFT)
-   + (CIBAUD >> IBSHIFT) + 1;
-else
-   ispeed = (termios_p->c_cflag & CIBAUD) >> IBSHIFT;
-.fi
-.in -2
-
-.sp
-.LP
-To store the input speed in the  \fBtermios\fR structure pointed to by
-\fBtermios_p\fR see the following code segment.
-.sp
-.in +2
-.nf
+if (termios_p->c_cflag & CIBAUDEXT) {
+ ispeed = ((termios_p->c_cflag & CIBAUD) >> IBSHIFT)
+ + (CIBAUD >> IBSHIFT) + 1;
+} else {
+ ispeed = (termios_p->c_cflag & CIBAUD) >> IBSHIFT;
+}
+.Ed
+.Pp
+To store the input speed in the
+.Vt termios
+structure pointed to by
+.Fa termios_p
+see the following code segment.
+.Bd -literal -offset 2n
 speed_t ispeed;
 if (ispeed == 0) {
-   ispeed = termios_p->c_cflag & CBAUD;
-if (termios_p->c_cflag & CBAUDEXT)
-   ispeed += (CBAUD + 1);
+ ispeed = termios_p->c_cflag & CBAUD;
+ if (termios_p->c_cflag & CBAUDEXT)
+     ispeed += (CBAUD + 1);
 }
- if ((ispeed << IBSHIFT) > CIBAUD) {
-    termios_p->c_cflag |= CIBAUDEXT;
-    ispeed -= ((CIBAUD >> IBSHIFT) + 1);
-} else
-    termios_p->c_cflag &= ~CIBAUDEXT;
-    termios_p->c_cflag =
-    (termios_p->c_cflag & ~CIBAUD) |
-           ((ispeed << IBSHIFT) & CIBAUD);
-.fi
-.in -2
-
-.sp
-.LP
-The \fBCSIZE\fR bits specify the character size in bits for both transmission
-and reception. This size does not include the parity bit, if any. If
-\fBCSTOPB\fR is set, two stop bits are used; otherwise, one stop bit is used.
+if ((ispeed << IBSHIFT) > CIBAUD) {
+  termios_p->c_cflag |= CIBAUDEXT;
+  ispeed -= ((CIBAUD >> IBSHIFT) + 1);
+} else {
+  termios_p->c_cflag &= ~CIBAUDEXT;
+}
+termios_p->c_cflag =
+  (termios_p->c_cflag & ~CIBAUD) | ((ispeed << IBSHIFT) & CIBAUD);
+.Ed
+.Pp
+The
+.Dv CSIZE
+bits specify the character size in bits for both transmission and reception.
+This size does not include the parity bit, if any.
+If
+.Dv CSTOPB
+is set, two stop bits are used; otherwise, one stop bit is used.
 For example, at 110 baud, two stops bits are required.
-.sp
-.LP
-If \fBPARENB\fR is set, parity generation and detection is enabled, and a
-parity bit is added to each character. If parity is enabled, the \fBPARODD\fR
+.Pp
+If
+.Dv PARENB
+is set, parity generation and detection is enabled, and a
+parity bit is added to each character.
+If parity is enabled, the
+.Dv PARODD
 flag specifies odd parity if set; otherwise, even parity is used.
-.sp
-.LP
-If \fBCREAD\fR is set, the receiver is enabled. Otherwise, no characters are
-received.
-.sp
-.LP
-If \fBHUPCL\fR is set, the line is disconnected when the last process with the
-line open closes it or terminates. That is, the data-terminal-ready signal is
-not asserted.
-.sp
-.LP
-If \fBCLOCAL\fR is set, the line is assumed to be a local, direct connection
+.Pp
+If
+.Dv CREAD
+is set, the receiver is enabled.
+Otherwise, no characters are received.
+.Pp
+If
+.Dv HUPCL
+is set, the line is disconnected when the last process with the
+line open closes it or terminates.
+That is, the data-terminal-ready signal is not asserted.
+.Pp
+If
+.Dv CLOCAL
+is set, the line is assumed to be a local, direct connection
 with no modem control; otherwise, modem control is assumed.
-.sp
-.LP
-If \fBCRTSXOFF\fR is set, inbound hardware flow control is enabled.
-.sp
-.LP
-If  \fBCRTSCTS\fR is set, outbound hardware flow control is enabled.
-.sp
-.LP
-The four possible combinations for the state of \fBCRTSCTS\fR and
-\fBCRTSXOFF\fR bits and their interactions are described below.
-.sp
-.ne 2
-.na
-\fBCase A:\fR
-.ad
-.RS 11n
-\fBCRTSCTS\fR off, \fBCRTSXOFF\fR off. In this case the hardware flow control
-is disabled.
-.RE
-
-.sp
-.ne 2
-.na
-\fBCase B:\fR
-.ad
-.RS 11n
-\fBCRTSCTS\fR on, \fBCRTSXOFF\fR off. In this case only outbound hardware flow
-control is enabled. The state of CTS signal is used to do outbound flow
-control. It is expected that output will be suspended if CTS is low and resumed
+.Pp
+If
+.Dv CRTSXOFF
+is set, inbound hardware flow control is enabled.
+.Pp
+If
+.Dv CRTSCTS
+is set, outbound hardware flow control is enabled.
+.Pp
+The four possible combinations for the state of
+.Dv CRTSCTS
+and
+.Dv CRTSXOFF
+bits and their interactions are described below.
+.Bl -tag -width "Case C:"
+.It Sy Case A :
+.Dv CRTSCTS
+off,
+.Dv CRTSXOFF
+off.
+In this case the hardware flow control is disabled.
+.It Sy Case B :
+.Dv CRTSCTS
+on,
+.Dv CRTSXOFF
+off.
+In this case only outbound hardware flow control is enabled.
+The state of CTS signal is used to do outbound flow control.
+It is expected that output will be suspended if CTS is low and resumed
 when CTS is high.
-.RE
-
-.sp
-.ne 2
-.na
-\fBCase C:\fR
-.ad
-.RS 11n
-\fBCRTSCTS\fR off, \fBCRTSXOFF\fR on. In this case only inbound hardware flow
-control is enabled. The state of RTS signal is used to do inbound flow control.
+.It Sy Case C :
+.Dv CRTSCTS
+off,
+.Dv CRTSXOFF
+on.
+In this case only inbound hardware flow control is enabled.
+The state of RTS signal is used to do inbound flow control.
 It is expected that input will be suspended if RTS is low and resumed when RTS
 is high.
-.RE
-
-.sp
-.ne 2
-.na
-\fBCase D:\fR
-.ad
-.RS 11n
-\fBCRTSCTS\fR on, \fBCRTSXOFF\fR on. In this case both inbound and outbound
-hardware flow control are enabled. Uses the state of CTS signal to do outbound
+.It Sy Case D :
+.Dv CRTSCTS
+on,
+.Dv CRTSXOFF
+on.
+In this case both inbound and outbound hardware flow control are enabled.
+Uses the state of CTS signal to do outbound
 flow control and RTS signal to do inbound flow control.
-.RE
-
-.SS "Local Modes"
-.LP
-The \fBc_lflag\fR field of the argument structure is used by the line
-discipline to control terminal functions. The basic line discipline provides
-the following:
-.sp
-.ne 2
-.na
-\fB\fBISIG\fR\fR
-.ad
-.RS 11n
- Enable signals.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBICANON\fR\fR
-.ad
-.RS 11n
+.El
+.Ss "Local Modes"
+The
+.Fa c_lflag
+field of the argument structure is used by the line
+discipline to control terminal functions.
+The basic line discipline provides the following:
+.Pp
+.Bl -tag -offset 2n -width SIGTTOU -compact
+.It Dv ISIG
+Enable signals.
+.It Dv ICANON
 Canonical input (erase and kill processing).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBXCASE\fR\fR
-.ad
-.RS 11n
+.It Dv XCASE
 Canonical upper/lower presentation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHO\fR\fR
-.ad
-.RS 11n
+.It Dv ECHO
 Enable echo.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHOE\fR\fR
-.ad
-.RS 11n
-Echo erase character as \fBBS-SP-BS\fR &.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHOK\fR\fR
-.ad
-.RS 11n
-Echo  \fBNL\fR after kill character.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHONL\fR\fR
-.ad
-.RS 11n
-Echo  \fBNL\fR .
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBNOFLSH\fR\fR
-.ad
-.RS 11n
+.It Dv ECHOE
+Echo erase character as
+.Sy BS Ns - Ns Sy SP Ns - Ns Sy BS
+&.
+.It Dv ECHOK
+Echo
+.Sy NL
+after kill character.
+.It Dv ECHONL
+Echo
+.Sy NL .
+.It Dv NOFLSH
 Disable flush after interrupt or quit.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTOSTOP\fR\fR
-.ad
-.RS 11n
-Send  \fBSIGTTOU\fR for background output.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHOCTL\fR\fR
-.ad
-.RS 11n
-Echo control characters as  \fIchar,\fR delete as ^?.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHOPRT\fR\fR
-.ad
-.RS 11n
+.It Dv TOSTOP
+Send
+.It Dv SIGTTOU
+for background output.
+.It Dv ECHOCTL
+Echo control characters as
+.Em char ,
+delete as ^?.
+.It Dv ECHOPRT
 Echo erase character as character erased.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBECHOKE\fR\fR
-.ad
-.RS 11n
-\fBBS-SP-BS\fR erase entire line on line kill.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBFLUSHO\fR\fR
-.ad
-.RS 11n
+.It Dv ECHOKE
+.Sy BS Ns - Ns Sy SP Ns - Ns Sy BS
+erase entire line on line kill.
+.It Dv FLUSHO
 Output is being flushed.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPENDIN\fR\fR
-.ad
-.RS 11n
-Retype pending input at next read or  input character.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBIEXTEN\fR\fR
-.ad
-.RS 11n
+.It Dv PENDIN
+Retype pending input at next read or input character.
+.It Dv IEXTEN
 Enable extended (implementation-defined) functions.
-.RE
-
-.sp
-.LP
-If \fBISIG\fR is set, each input character is checked against the special
-control characters INTR, QUIT, SWTCH,  SUSP, STATUS, and \fBDSUSP\fR. If an
-input character matches one of these control characters, the function
-associated with that character is performed. (Note: If SWTCH is set and the
-character matches, the character is simply discarded. No other action is
-taken.) If \fBISIG\fR is not set, no checking is done.  Thus, these special
-input functions are possible only if \fBISIG\fR is set.
-.sp
-.LP
-If \fBICANON\fR is set, canonical processing is enabled. This enables the erase
+.El
+.Pp
+If
+.Dv ISIG
+is set, each input character is checked against the special
+control characters
+.Sy INTR ,
+.Sy QUIT ,
+.Sy SWTCH ,
+.Sy SUSP ,
+.Sy STATUS ,
+and
+.Sy DSUSP .
+If an input character matches one of these control characters, the function
+associated with that character is performed.
+.Po
+Note: If
+.Sy SWTCH
+is set and the character matches, the character is simply discarded.
+No other action is taken.
+.Pc
+If
+.Dv ISIG
+is not set, no checking is done.
+Thus, these special
+input functions are possible only if
+.Dv ISIG
+is set.
+.Pp
+If
+.Dv ICANON
+is set, canonical processing is enabled.
+This enables the erase
 and kill edit functions, and the assembly of input characters into lines
-delimited by \fBNL-c\fR, \fBEOF\fR, \fBEOL\fR, and \fBEOL\fR . If  \fBICANON\fR
-is not set, read requests are satisfied directly from the input queue. A read
-is not satisfied until at least \fBMIN\fR characters have been  received or the
-timeout value \fBTIME\fR has expired between characters. This allows fast
-bursts of input to be read efficiently while still allowing single character
-input. The time value represents tenths of seconds.
-.sp
-.LP
-If  \fBXCASE\fR is set and \fBICANON\fR is set, an upper case letter is
-accepted on input if preceded by a backslash \fB(\e)\fR character, and is
-output preceded by a  backslash \fB(\e)\fR character. In this mode, the
+delimited by
+.Sy NL-c ,
+.Sy EOF ,
+.Sy EOL ,
+and
+.Sy EOL .
+If
+.Dv ICANON
+is not set, read requests are satisfied directly from the input queue.
+A read is not satisfied until at least
+.Sy MIN
+characters have been received or the timeout value
+.Sy TIME
+has expired between characters.
+This allows fast bursts of input to be read efficiently while still allowing
+single character input.
+The time value represents tenths of seconds.
+.Pp
+If
+.Dv XCASE
+is set and
+.Dv ICANON
+is set, an upper case letter is
+accepted on input if preceded by a backslash
+.Ql \e
+character, and is output preceded by a backslash
+.Ql \e
+character.
+In this mode, the
 following escape sequences are generated on output and accepted on input:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-FOR:	USE:
-_
-`	\e'
-_
-|	\e!
-_
-\(ap	\e^
-_
-{	\e(
-_
-}	\e)
-_
-\e	\e\e
-.TE
-
-.sp
-.LP
+.Bl -column "FOR:" "USE:" -offset 2n
+.It FOR: Ta USE:
+.It ` Ta \e'
+.It | Ta \e!
+.It \(ap Ta \e^
+.It { Ta \e(
+.It } Ta \e)
+.It \e Ta \e\e
+.El
+.Pp
 For example, input A as \ea, \en as \e\en, and \eN as \e\e\en.
-.sp
-.LP
-If \fBECHO\fR is set, characters are echoed as received.
-.sp
-.LP
-When \fBICANON\fR is set, the following echo functions are possible.
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If \fBECHO\fR and \fBECHOE\fR are set, and  \fBECHOPRT\fR is not set,  the
-\fBERASE\fR, \fBERASE2\fR, and \fBWERASE\fR characters are echoed as one or
-more ASCII BS SP BS, which clears the last character(s) from a \fBCRT\fR screen.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If \fBECHO\fR, \fBECHOPRT\fR, and \fBIEXTEN\fR are set, the first \fBERASE\fR,
-\fBERASE2\fR, and \fBWERASE\fR character in a sequence echoes as a backslash
-(\fB\e\fR), followed by the characters being erased.  Subsequent \fBERASE\fR and
-\fBWERASE\fR characters echo the characters being erased, in reverse order. The
-next non-erase character causes a `/' (slash) to be typed before it is echoed.
-\fBECHOPRT\fR should be used for hard copy terminals.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If  \fBECHOKE\fR and \fBIEXTEN\fR are set, the kill character is echoed by
-erasing each  character on the line from the screen (using the mechanism
-selected by \fBECHOE\fR and \fBECHOPR\fRa).
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If  \fBECHOK\fR is set, and \fBECHOKE\fR is not set, the \fBNL\fR character is
-echoed after the kill character to emphasize that the line is deleted. Note
-that a `\' (escape) character or an \fBLNEXT\fR character preceding the erase
+.Pp
+If
+.Dv ECHO
+is set, characters are echoed as received.
+.Pp
+When
+.Dv ICANON
+is set, the following echo functions are possible.
+.Bl -bullet -offset indent
+.It
+If
+.Dv ECHO
+and
+.Dv ECHOE
+are set, and
+.Dv ECHOPRT
+is not set, the
+.Sy ERASE ,
+.Sy ERASE2 ,
+and
+.Sy WERASE
+characters are echoed as one or
+more ASCII BS SP BS, which clears the last character(s) from a
+.Sy CRT
+screen.
+.It
+If
+.Dv ECHO ,
+.Dv ECHOPRT ,
+and
+.Dv IEXTEN
+are set, the first
+.Sy ERASE ,
+.Sy ERASE2 ,
+and
+.Sy WERASE
+character in a sequence echoes as a backslash
+.Ql \e ,
+followed by the characters being erased.
+Subsequent
+.Sy ERASE
+and
+.Sy WERASE
+characters echo the characters being erased, in reverse order.
+The
+next non-erase character causes a
+.Ql /
+(slash) to be typed before it is echoed.
+.Dv ECHOPRT
+should be used for hard copy terminals.
+.It
+If
+.Dv ECHOKE
+and
+.Dv IEXTEN
+are set, the kill character is echoed by
+erasing each character on the line from the screen (using the mechanism
+selected by
+.Dv ECHOE
+and
+.Dv ECHOPR ) .
+.It
+If
+.Dv ECHOK
+is set, and
+.Dv ECHOKE
+is not set, the
+.Sy NL
+character is
+echoed after the kill character to emphasize that the line is deleted.
+Note
+that a
+.Ql \e
+(escape) character or an
+.Sy LNEXT
+character preceding the erase
 or kill character removes any special function.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-If  \fBECHONL\fR is set, the \fBNL\fR character is echoed even if  \fBECHO\fR
-is not set.  This is useful for terminals set to local echo (so called
+.It
+If
+.Dv ECHONL
+is set, the
+.Sy NL
+character is echoed even if
+.Dv ECHO
+is not set.
+This is useful for terminals set to local echo (so called
 half-duplex).
-.RE
-.sp
-.LP
-If \fBECHOCTL\fR and \fBIEXTEN\fR are set, all control characters (characters
-with codes between 0 and 37 octal) other than  \fBASCII TAB\fR, \fBASCII NL\fR,
-the \fBSTART\fR character, and the \fBSTOP\fR character,  \fBASCII CR\fR, and
-\fBASCII BS\fR are echoed as ^ \fBX,\fR where \fBX\fR is the character given by
-adding 100 octal to the code of the  control character (so that the character
-with octal code 1 is echoed as ^ \fBA),\fR and the \fBASCII DEL\fR character,
-with code 177 octal, is echoed as ^ \fB?\fR.
-.sp
-.LP
-If  \fBNOFLSH\fR is set, the normal flush of the input and output queues
-associated with the \fBINTR\fR, \fBQUIT\fR, \fBSTATUS\fR, and \fBSUSP\fR
-characters is not done.  This bit should be set when restarting system calls
-that read from or write to a terminal (see  \fBsigaction\fR(2)\|).
-.sp
-.LP
-If  \fBTOSTOP\fR and \fBIEXTEN\fR are set, the signal  \fBSIGTTOU\fR is sent to
+.El
+.Pp
+If
+.Dv ECHOCTL
+and
+.Dv IEXTEN
+are set, all control characters (characters
+with codes between 0 and 37 octal) other than
+.Sy ASCII TAB ,
+.Sy ASCII NL ,
+the
+.Sy START
+character, and the
+.Sy STOP
+character,
+.Sy ASCII CR ,
+and
+.Sy ASCII BS
+are echoed as
+.No ^ Ns Em X ,
+where
+.Em X
+is the character given by adding
+.Ql 100
+octal to the code of the control character (so
+that the character with octal code
+.Ql 1
+is echoed as
+.No ^ Ns Sy A ) ,
+and the
+.Sy ASCII DEL
+character,
+with code
+.Ql 177
+octal, is echoed as
+.No ^ Ns Sy \&? .
+.Pp
+If
+.Dv NOFLSH
+is set, the normal flush of the input and output queues
+associated with the
+.Sy INTR ,
+.Sy QUIT ,
+.Sy STATUS ,
+and
+.Sy SUSP
+characters is not done.
+This bit should be set when restarting system calls
+that read from or write to a terminal
+.Po
+see
+.Xr sigaction 2
+.Pc .
+.Pp
+If
+.Dv TOSTOP
+and
+.Dv IEXTEN
+are set, the signal
+.Dv SIGTTOU
+is sent to
 a process that tries to write to its controlling terminal if it is not in the
-foreground process group for that terminal. This signal normally stops the
-process. Otherwise, the output generated by that process is output to the
-current output stream. Processes that are blocking or ignoring  \fBSIGTTOU\fR
+foreground process group for that terminal.
+This signal normally stops the process.
+Otherwise, the output generated by that process is output to the
+current output stream.
+Processes that are blocking or ignoring
+.Dv SIGTTOU
 signals are excepted and allowed to produce output, if any.
-.sp
-.LP
-If \fBFLUSHO\fR and \fBIEXTEN\fR are set, data written to the terminal is
-discarded. This bit is set when the \fBFLUSH\fR character is typed. A program
-can cancel the effect of typing the \fBFLUSH\fR character by clearing
-\fBFLUSHO\fR.
-.sp
-.LP
-If \fBPENDIN\fR and  \fBIEXTEN\fR are set, any input that has not yet been read
-is reprinted when the next character arrives as input. \fBPENDIN\fR is then
+.Pp
+If
+.Dv FLUSHO
+and
+.Dv IEXTEN
+are set, data written to the terminal is
+discarded.
+This bit is set when the
+.Sy FLUSH
+character is typed.
+A program can cancel the effect of typing the
+.Sy FLUSH
+character by clearing
+.Dv FLUSHO .
+.Pp
+If
+.Dv PENDIN
+and
+.Dv IEXTEN
+are set, any input that has not yet been read
+is reprinted when the next character arrives as input.
+.Dv PENDIN
+is then
 automatically cleared.
-.sp
-.LP
-If \fBIEXTEN\fR is set, the following implementation-defined functions are
-enabled:  special characters ( \fBWERASE\fR, \fBREPRINT\fR, \fBDISCARD\fR, and
-\fBLNEXT\fR) and local flags ( \fBTOSTOP\fR, \fBECHOCTL\fR, \fBECHOPRT\fR,
-\fBECHOKE\fR, \fBFLUSHO\fR, and \fBPENDIN\fR).
-.SS "Minimum and Timeout"
-.LP
-The \fBMIN\fR and \fBTIME\fR values were described previously, in the
-subsection, \fBNon-canonical Mode Input Processing\fR. The initial value of
-\fBMIN\fR is 1, and the initial value of \fBTIME\fR is 0.
-.SS "Terminal Size"
-.LP
+.Pp
+If
+.Dv IEXTEN
+is set, the following implementation-defined functions are
+enabled: special characters (
+.Sy WERASE ,
+.Sy REPRINT ,
+.Sy DISCARD ,
+and
+.Sy LNEXT )
+and local flags (
+.Dv TOSTOP ,
+.Dv ECHOCTL ,
+.Dv ECHOPRT ,
+.Dv ECHOKE ,
+.Dv FLUSHO ,
+and
+.Dv PENDIN ) .
+.Ss "Minimum and Timeout"
+The
+.Sy MIN
+and
+.Sy TIME
+values were described previously, in the
+subsection,
+.Sy Non-canonical Mode Input Processing .
+The initial value of
+.Sy MIN
+is 1, and the initial value of
+.Sy TIME
+is 0.
+.Ss "Terminal Size"
 The number of lines and columns on the terminal's display is specified in the
-\fBwinsize\fR structure defined by  \fBsys/termios.h\fR and includes the
-following members:
-.sp
-.in +2
-.nf
+.Vt winsize
+structure defined by
+.In sys/termios.h
+and includes the following members:
+.Bd -literal -offset 2n
 unsigned	short ws_row;  /* rows, in characters */
-unsigned short	ws_col;    /* columns, in characters */
-unsigned short	ws_xpixel; /* horizontal size, in pixels */
-unsigned short	ws_ypixel; /* vertical size, in pixels */
-.fi
-.in -2
-
-.SS "Termio Structure"
-.LP
-The SunOS/SVR4 \fBtermio\fR structure is used by some \fBioctl\fRs; it is
-defined by \fBsys/termio.h\fR and includes the following members:
-.sp
-.in +2
-.nf
-unsigned	 short	c_iflag;  /* input modes */
-unsigned	 short	c_oflag;  /* output modes */
-unsigned	 short	c_cflag;  /* control modes */
-unsigned	 short c_lflag; /* local modes */
-char c_line;			  /* line discipline */
-unsigned	 char  c_cc[NCC];  /* control chars */
-.fi
-.in -2
-
-.sp
-.LP
-The special control characters are defined by the array \fBc_cc\fR. The
-symbolic name \fBNCC\fR is the size of the Control-character array and is also
-defined by \fBtermio.h\fR. The relative positions, subscript names, and typical
-default values  for each function are as follows:
-.sp
-
-.sp
-.TS
-box;
-c | c | c
-l | l | l .
-Relative Positions	Subscript Names	Typical Default Values
-_
-0	VINTR	EXT
-_
-1	VQUIT	FS
-_
-2	VERASE	DEL
-_
-3	VKILL	NAK
-_
-4	VEOF	EOT
-_
-5	VEOL	NUL
-_
-6	VEOL2	NUL
-_
-7	Reserved	
-.TE
-
-.sp
-.LP
-The \fBMIN\fR values is stored in the \fBVMIN\fR element of the \fBc_cc\fR
-array; the \fBTIME\fR value is stored in the  \fBVTIME\fR element of the
-\fBc_cc\fR array. The  \fBVMIN\fR element is the same element as the
-\fBVEOF\fR element; the \fBVTIME\fR element is the same element as the
-\fBVEOL\fR element.
-.sp
-.LP
-The calls that use the \fBtermio\fR structure only affect the flags and control
-characters that can be stored in the \fBtermio\fR structure; all other flags
-and control characters are unaffected.
-.SS "Modem Lines"
-.LP
+unsigned short	ws_col;        /* columns, in characters */
+unsigned short	ws_xpixel;     /* horizontal size, in pixels */
+unsigned short	ws_ypixel;     /* vertical size, in pixels */
+.Ed
+.Ss "Termio Structure"
+The SunOS/SVR4
+.Vt termio
+structure is used by some
+.Fn ioctl Ns s ;
+it is defined by
+.In sys/termio.h
+and includes the following members:
+.Bd -literal -offset 2n
+unsigned	short	c_iflag;    /* input modes */
+unsigned	short	c_oflag;    /* output modes */
+unsigned	short	c_cflag;    /* control modes */
+unsigned	short	c_lflag;    /* local modes */
+char			c_line;     /* line discipline */
+unsigned	char	c_cc[NCC];  /* control chars */
+.Ed
+.Pp
+The special control characters are defined by the array
+.Fa c_cc .
+The symbolic name
+.Dv NCC
+is the size of the Control-character array and is also
+defined by
+.In termio.h .
+The relative positions, subscript names, and typical
+default values for each function are as follows:
+.Bl -column "Relative Positions" "Subscript Names" "Typical Default Values"
+.It Relative Positions Ta Subscript Names Ta Typical Default Values
+.It 0 Ta VINTR Ta EXT
+.It 1 Ta VQUIT Ta FS
+.It 2 Ta VERASE Ta DEL
+.It 3 Ta VKILL Ta NAK
+.It 4 Ta VEOF Ta EOT
+.It 5 Ta VEOL Ta NUL
+.It 6 Ta VEOL2 Ta NUL
+.It 7 Ta Reserved Ta
+.El
+.Pp
+The
+.Sy MIN
+values is stored in the
+.Dv VMIN
+element of the
+.Fa c_cc
+array; the
+.Sy TIME
+value is stored in the
+.Dv VTIME
+element of the
+.Fa c_cc
+array.
+The
+.Dv VMIN
+element is the same element as the
+.Dv VEOF
+element; the
+.Dv VTIME
+element is the same element as the
+.Dv VEOL
+element.
+.Pp
+The calls that use the
+.Va termio
+structure only affect the flags and control
+characters that can be stored in the
+.Vt termio
+structure; all other flags and control characters are unaffected.
+.Ss "Modem Lines"
 On special files representing serial ports, modem control lines can be read.
-Control lines  (if the underlying hardware supports it) may also be changed.
-Status lines are read-only. The following modem control and status lines may be
-supported by a device; they are defined by \fBsys/termios.h\fR:
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_LE\fR\fR
-.ad
-.RS 13n
- line enable
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_DTR\fR\fR
-.ad
-.RS 13n
+Control lines (if the underlying hardware supports it) may also be changed.
+Status lines are read-only.
+The following modem control and status lines may be
+supported by a device; they are defined by
+.In sys/termios.h :
+.Pp
+.Bl -tag -width "TIOCM_DTR" -compact -offset 2n
+.It Dv TIOCM_LE
+line enable
+.It Dv TIOCM_DTR
 data terminal ready
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_RTS\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_RTS
 request to send
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_ST\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_ST
 secondary transmit
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_SR\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_SR
 secondary receive
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_CTS\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_CTS
 clear to send
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_CAR\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_CAR
 carrier detect
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_RNG\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_RNG
 ring
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCM_DSR\fR\fR
-.ad
-.RS 13n
+.It Dv TIOCM_DSR
 data set ready
-.RE
-
-.sp
-.LP
-\fBTIOCM_CD\fR is a synonym for \fBTIOCM_CAR\fR, and \fBTIOCM_RI\fR is a
-synonym for \fBTIOCM_RNG\fR. Not all of these are necessarily supported by any
+.El
+.Pp
+.Dv TIOCM_CD
+is a synonym for
+.Dv TIOCM_CAR ,
+and
+.Dv TIOCM_RI
+is a synonym for
+.Dv TIOCM_RNG .
+Not all of these are necessarily supported by any
 particular device; check the manual page for the device in question.
-.sp
-.LP
+.Pp
 The software carrier mode can be enabled or disabled using the
-\fBTIOCSSOFTCAR\fR \fBioctl\fR. If the software carrier flag for a line is off,
-the line pays attention to the hardware carrier detect (DCD) signal. The
-\fBtty\fR device associated with the line cannot be opened until \fBDCD\fR is
-asserted. If the software carrier flag is on, the line behaves as if \fBDCD\fR
+.Dv TIOCSSOFTCAR
+.Fn ioctl .
+If the software carrier flag for a line is off,
+the line pays attention to the hardware carrier detect (DCD) signal.
+The
+.Sy tty
+device associated with the line cannot be opened until
+.Sy DCD
+is asserted.
+If the software carrier flag is on, the line behaves as if
+.Sy DCD
 is always asserted.
-.sp
-.LP
+.Pp
 The software carrier flag is usually turned on for locally connected terminals
 or other devices, and is off for lines with modems.
-.sp
-.LP
-To be able to issue the \fBTIOCGSOFTCAR\fR and \fBTIOCSSOFTCAR\fR \fBioctl\fR
-calls, the \fBtty\fR line should be opened with \fBO_NDELAY\fR so that the
-\fBopen\fR(2) will not wait for the carrier.
-.SS "Default Values"
-.LP
-The initial  \fBtermios\fR values upon driver open is configurable. This is
-accomplished by setting the "ttymodes" property in the file
-\fB/kernel/drv/options.conf\fR. Since this property is assigned during system
-initialization,  any change to the "ttymodes" property will not take effect
-until the next reboot.  The string value assigned to this property should be in
-the same format as the output of the \fBstty\fR(1) command with the -g option.
-.sp
-.LP
-If this property is undefined, the following  \fBtermios\fR modes are in
-effect.  The initial input control value is \fBBRKINT\fR, \fBICRNL\fR,
-\fBIXON\fR, \fBIMAXBEL\fR. The initial output control value is \fBOPOST\fR,
-\fBONLCR\fR, \fBTAB3\fR. The initial hardware control value is \fBB9600\fR,
-\fBCS8\fR, \fBCREAD\fR. The initial line-discipline control value is
-\fBISIG\fR, \fBICANON\fR, \fBIEXTEN\fR, \fBECHO\fR, \fBECHOK\fR, \fBECHOE\fR,
-\fBECHOKE\fR, \fBECHOCTL\fR.
-.SH IOCTLS
-.LP
-The \fBioctl\fRs supported by devices and \fBSTREAMS\fR modules providing the
-\fBtermios\fR(3C) interface are listed below. Some calls may not be supported
-by all devices or modules.  The functionality provided by these calls is also
+.Pp
+To be able to issue the
+.Dv TIOCGSOFTCAR
+and
+.Dv TIOCSSOFTCAR
+.Fn ioctl
+calls, the
+.Sy tty
+line should be opened with
+.Dv O_NDELAY
+so that the
+.Xr open 2
+will not wait for the carrier.
+.Ss "Default Values"
+The initial
+.Vt termios
+values upon driver open is configurable.
+This is accomplished by setting the "ttymodes" property in the file
+.Pa /kernel/drv/options.conf .
+Since this property is assigned during system
+initialization, any change to the "ttymodes" property will not take effect
+until the next reboot.
+The string value assigned to this property should be in
+the same format as the output of the
+.Xr stty 1
+command with the -g option.
+.Pp
+If this property is undefined, the following
+.Vt termios
+modes are in effect.
+The initial input control value is
+.Dv BRKINT ,
+.Dv ICRNL ,
+.Dv IXON ,
+.Dv IMAXBEL .
+The initial output control value is
+.Dv OPOST ,
+.Dv ONLCR ,
+.Dv TAB3 .
+The initial hardware control value is
+.Dv B9600 ,
+.Dv CS8 ,
+.Dv CREAD .
+The initial line-discipline control value is
+.Dv ISIG ,
+.Dv ICANON ,
+.Dv IEXTEN ,
+.Dv ECHO ,
+.Dv ECHOK ,
+.Dv ECHOE ,
+.Dv ECHOKE ,
+.Dv ECHOCTL .
+.Sh IOCTLS
+The
+.Fn ioctl Ns s
+supported by devices and
+.Sy STREAMS
+modules providing the
+.Xr termios 3C
+interface are listed below.
+Some calls may not be supported by all devices or modules.
+The functionality provided by these calls is also
 available through the preferred function call interface specified on
-\fBtermios\fR.
-.sp
-.ne 2
-.na
-\fB\fBTCGETS\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermios\fR structure. The current terminal
-parameters are fetched and stored into that structure.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETS\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermios\fR structure. The current terminal
-parameters are set from the values stored in that structure. The change is
-immediate.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETSW\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermios\fR structure. The current terminal
-parameters are set from the values stored in that structure. The change occurs
-after all characters queued for output have been transmitted. This form should
-be used when changing parameters that affect output.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETSF\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermios\fR structure. The current terminal
-parameters are set from the values stored in that structure. The change occurs
-after all characters queued for output have been transmitted; all characters
-queued for input are discarded and then the change occurs.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCGETA\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermio\fR structure. The current terminal
-parameters are fetched, and those parameters that can be stored in a
-\fBtermio\fR structure are stored into that structure.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETA\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a  \fBtermio\fR structure. Those terminal
-parameters that can be stored in a \fBtermio\fR structure are set from the
-values stored in that structure. The change is immediate.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETAW\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermio\fR structure. Those terminal
-parameters that can be stored in a \fBtermio\fR structure are set from the
-values stored in that structure. The change occurs after all characters queued
-for output have been transmitted. This form should be used when changing
-parameters that affect output.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSETAF\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBtermio\fR structure.  Those terminal
-parameters that can be stored in a \fBtermio\fR structure are set from the
-values stored in that structure. The change occurs after all characters queued
+.Nm termios .
+.Bl -tag -width TIOCSSOFTCAR
+.It Dv TCGETS
+The argument is a pointer to a
+.Vt termios
+structure.
+The current terminal parameters are fetched and stored into that structure.
+.It Dv TCSETS
+The argument is a pointer to a
+.Vt termios
+structure.
+The current terminal parameters are set from the values stored in that structure.
+The change is immediate.
+.It Dv TCSETSW
+The argument is a pointer to a
+.Vt termios
+structure.
+The current terminal parameters are set from the values stored in that structure.
+The change occurs after all characters queued for output have been transmitted.
+This form should be used when changing parameters that affect output.
+.It Dv TCSETSF
+The argument is a pointer to a
+.Vt termios
+structure.
+The current terminal parameters are set from the values stored in that structure.
+The change occurs after all characters queued for output have been transmitted;
+all characters queued for input are discarded and then the change occurs.
+.It Dv TCGETA
+The argument is a pointer to a
+.Vt termio
+structure.
+The current terminal parameters are fetched, and those parameters that can be
+stored in a
+.Vt termio
+structure are stored into that structure.
+.It Dv TCSETA
+The argument is a pointer to a
+.Vt termio
+structure.
+Those terminal parameters that can be stored in a
+.Vt termio
+structure are set from the values stored in that structure.
+The change is immediate.
+.It Dv TCSETAW
+The argument is a pointer to a
+.Vt termio
+structure.
+Those terminal parameters that can be stored in a
+.Vt termio
+structure are set from
+the values stored in that structure.
+The change occurs after all characters queued for output have been transmitted.
+This form should be used when changing parameters that affect output.
+.It Dv TCSETAF
+The argument is a pointer to a
+.Vt termio
+structure.
+Those terminal parameters that can be stored in a
+.Vt termio
+structure are set from the values stored in that structure.
+The change occurs after all characters queued
 for output have been transmitted; all characters queued for input are discarded
 and then the change occurs.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCSBRK\fR\fR
-.ad
-.RS 16n
-The argument is an \fBint\fR value. Wait for the output to drain. If the
-argument is \fB0\fR, then send a break (zero valued bits for 0.25 seconds).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCXONC\fR\fR
-.ad
-.RS 16n
-Start/stop control. The argument is an \fBint\fR value. If the argument is
-\fB0\fR, suspend output; if \fB1\fR, restart suspended output; if \fB2\fR,
-suspend input; if \fB3\fR, restart suspended input.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTCFLSH\fR\fR
-.ad
-.RS 16n
-The argument is an \fBint\fR value. If the argument is \fB0\fR, flush the input
-queue; if \fB1\fR, flush the output queue; if \fB2\fR, flush both the input and
-output queues.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGPGRP\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBpid_t\fR. Set the value of that  \fBpid_t\fR
-to the process group \fBID\fR of the foreground process group associated with
-the terminal. See  \fBtermios\fR(3C) for a description of  \fBTCGETPGRP\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCSPGRP\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBpid_t\fR. Associate the process group whose
-process group \fBID\fR is specified by the value of that  \fBpid_t\fR with the
-terminal. The new process group value must be in the range of valid process
-group \fBID\fR values.  Otherwise, the error  \fBEPERM\fR is returned.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGSID\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBpid_t\fR. The session ID of the terminal is
-fetched  and stored in the  \fBpid_t\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGWINSZ\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBwinsize\fR structure. The terminal driver's
+.It Dv TCSBRK
+The argument is an
+.Vt int
+value.
+Wait for the output to drain.
+If the argument is
+.Sy 0 ,
+then send a break (zero valued bits for 0\&.25 seconds).
+.It Dv TCXONC
+Start/stop control.
+The argument is an
+.Vt int
+value.
+If the argument is
+.Sy 0 ,
+suspend output; if
+.Sy 1 ,
+restart suspended output; if
+.Sy 2 ,
+suspend input; if
+.Sy 3 ,
+restart suspended input.
+.It Dv TCFLSH
+The argument is an
+.Vt int
+value.
+If the argument is
+.Sy 0 ,
+flush the input queue; if
+.Sy 1 ,
+flush the output queue; if
+.Sy 2 ,
+flush both the input and output queues.
+.It Dv TIOCGPGRP
+The argument is a pointer to a
+.Vt pid_t .
+Set the value of that
+.Vt pid_t
+to the process group
+.Sy ID
+of the foreground process group associated with the terminal.
+See
+.Xr termios 3C
+for a description of
+.Dv TCGETPGRP .
+.It Dv TIOCSPGRP
+The argument is a pointer to a
+.Vt pid_t .
+Associate the process group whose
+process group
+.Sy ID
+is specified by the value of that
+.Vt pid_t
+with the terminal.
+The new process group value must be in the range of valid process
+group
+.Sy ID
+values.
+Otherwise, the error
+.Er EPERM
+is returned.
+.It Dv TIOCGSID
+The argument is a pointer to a
+.Vt pid_t .
+The session ID of the terminal is fetched and stored in the
+.Vt pid_t .
+.It Dv TIOCGWINSZ
+The argument is a pointer to a
+.Vt winsize
+structure.
+The terminal driver's
 notion of the terminal size is stored into that structure.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCSWINSZ\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBwinsize\fR structure. The terminal driver's
+.It Dv TIOCSWINSZ
+The argument is a pointer to a
+.Vt winsize
+structure.
+The terminal driver's
 notion of the terminal size is set from the values specified in that structure.
-If the new sizes are different from the old sizes, a \fBSIGWINCH\fR signal is
-set to the process group of the terminal.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCMBIS\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR whose value is a mask containing
-modem control lines to be turned on. The control lines whose bits are set in
+If the new sizes are different from the old sizes, a
+.Dv SIGWINCH
+signal is set to the process group of the terminal.
+.It Dv TIOCMBIS
+The argument is a pointer to an
+.Vt int
+whose value is a mask containing modem control lines to be turned on.
+The control lines whose bits are set in
 the argument are turned on; no other control lines are affected.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCMBIC\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR whose value is a mask containing
-modem control lines to be turned off. The control lines whose bits are set in
+.It Dv TIOCMBIC
+The argument is a pointer to an
+.Vt int
+whose value is a mask containing modem control lines to be turned off.
+The control lines whose bits are set in
 the argument are turned off; no other control lines are affected.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCMGET\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an  \fBint\fR. The current state of the modem
-status lines is fetched and stored in the  \fBint\fR pointed to by the
-argument.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCMSET\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an  \fBint\fR containing a new set of modem
-control lines. The modem control lines are turned on or off, depending on
+.It Dv TIOCMGET
+The argument is a pointer to an
+.Vt int .
+The current state of the modem
+status lines is fetched and stored in the
+.Vt int
+pointed to by the argument.
+.It Dv TIOCMSET
+The argument is a pointer to an
+.Vt int
+containing a new set of modem control lines.
+The modem control lines are turned on or off, depending on
 whether the bit for that mode is set or clear.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCSPPS\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR that determines whether
-pulse-per-second event handling is to be enabled (non-zero) or disabled (zero).
+.It Dv TIOCSPPS
+The argument is a pointer to an
+.Vt int
+that determines whether pulse-per-second event handling is to be enabled
+(non-zero) or disabled (zero).
 If a one-pulse-per-second reference clock is attached to the serial line's data
-carrier detect input, the local system clock will be calibrated to it. A clock
-with a high error, that is, a deviation of more than 25 microseconds per tick,
-is ignored.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGPPS\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR, in which the state of the even
-handling is returned. The \fBint\fR is set to a non-zero value if
-pulse-per-second (PPS) handling has been enabled. Otherwise, it is set to zero.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGSOFTCAR\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR whose value is \fB1\fR or \fB0\fR,
+carrier detect input, the local system clock will be calibrated to it.
+A clock with a high error, that is, a deviation of more than 25 microseconds
+per tick, is ignored.
+.It Dv TIOCGPPS
+The argument is a pointer to an
+.Vt int ,
+in which the state of the even handling is returned.
+The
+.Vt int
+is set to a non-zero value if pulse-per-second (PPS) handling has been enabled.
+Otherwise, it is set to zero.
+.It Dv TIOCGSOFTCAR
+The argument is a pointer to an
+.Vt int
+whose value is
+.Sy 1
+or
+.Sy 0 ,
 depending on whether the software carrier detect is turned on or off.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCSSOFTCAR\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to an \fBint\fR whose value is \fB1\fR or \fB0\fR.
-The value of the integer should be \fB0\fR to turn off software carrier, or
-\fB1\fR to turn it on.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBTIOCGPPSEV\fR\fR
-.ad
-.RS 16n
-The argument is a pointer to a \fBstruct\fR \fBppsclockev\fR. This structure
-contains the following members:
-.sp
-.in +2
-.nf
+.It Dv TIOCSSOFTCAR
+The argument is a pointer to an
+.Vt int
+whose value is
+.Sy 1
+or
+.Sy 0 .
+The value of the integer should be
+.Sy 0
+to turn off software carrier, or
+.Sy 1
+to turn it on.
+.It Dv TIOCGPPSEV
+The argument is a pointer to a
+.Vt "struct ppsclockev" .
+This structure contains the following members:
+.Bd -literal -offset 2n
 struct timeval tv;
 uint32_t serial;
-.fi
-.in -2
-
-"tv" is the system clock timestamp when the event (pulse on the \fBDCD\fR pin)
-occurred. "serial" is the ordinal of the event, which each consecutive event
-being assigned the next ordinal. The first event registered gets a "serial"
-value of \fB1\fR. The \fBTIOCGPPSEV\fR returns the last event registered;
-multiple calls will persistently return the same event until a new one is
-registered. In addition to time stamping and saving the event, if it is of
+.Ed
+.Pp
+.Fa tv
+is the system clock timestamp when the event (pulse on the
+.Sy DCD
+pin) occurred.
+.Fa serial
+is the ordinal of the event, which each consecutive event
+being assigned the next ordinal.
+The first event registered gets a
+.Fa serial
+value of
+.Sy 1 .
+The
+.Dv TIOCGPPSEV
+returns the last event registered; multiple calls will persistently return the
+same event until a new one is registered.
+In addition to time stamping and saving the event, if it is of
 one-second period and of consistently high accuracy, the local system clock
 will automatically calibrate to it.
-.RE
-
-.SH FILES
-.LP
-Files in or under /\fBdev\fR
-.SH SEE ALSO
-.LP
-\fBstty\fR(1), \fBfork\fR(2), \fBgetpgid\fR(2), \fBgetsid\fR(2),
-\fBioctl\fR(2), \fBsetsid\fR(2), \fBsigaction\fR(2), \fBsignal\fR(3C),
-\fBtcsetpgrp\fR(3C), \fBtermios\fR(3C), \fBsignal.h\fR(3HEAD),
-\fBstreamio\fR(7I)
+.El
+.Sh FILES
+Files in or under
+.Pa /dev
+.Sh SEE ALSO
+.Xr stty 1 ,
+.Xr fork 2 ,
+.Xr getpgid 2 ,
+.Xr getsid 2 ,
+.Xr ioctl 2 ,
+.Xr setsid 2 ,
+.Xr sigaction 2 ,
+.Xr signal 3C ,
+.Xr tcsetpgrp 3C ,
+.Xr termios 3C ,
+.Xr signal.h 3HEAD ,
+.Xr streamio 7I
